# frozen_string_literal: true

#
# Cookbook:: snu_nginx_fips
# Library:: resource/snu_nginx_fips_app
#
# Copyright:: 2017, Socrata, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

require 'chef/resource'

class Chef
  class Resource
    #
    # A resource for managing the Omnibussed Nginx-FIPS package.
    #
    class SnuNginxFipsApp < Resource
      provides :snu_nginx_fips_app do |_node|
        false
      end

      default_action :install

      property :version, String, default: '1.16.0-2'

      #
      # The three possible actions for this release will all depend on the
      # underlying platform.
      #
    end
  end
end
